
QGIS Application - Bug report #18890

3D map view crashes when enabling 3d rendering on vector layers

2018-05-01 08:16 AM - Michael Hewett

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:3.0.1 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26722

Description

User Feedback

- Added DEM layer, local tiff

- Opened 3D view

- Used DEM layer as terrain

- Hid DEM layer

- Added raster layer, from WMS

- Added vector layer (happens with point, line, or polygon), local shape

- Enable 3d rendering for vector layer

- Crash

Report Details

Crash ID: 0805810bbb938e42717fa23b1e649d683420eef2

Stack Trace

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

QOpenGLFunctions_3_3_Compatibility::glDrawElementsInstancedBaseVertex :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::NodeManagers::renderTargetManager :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info
CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.14393

Related issues:

Duplicates QGIS Application - Bug report # 17416: Crash on enabling 3D render... Open 2017-11-07

History

#1 - 2018-06-13 11:34 AM - Martin Dobias

- Duplicates Bug report #17416: Crash on enabling 3D renderer for point layer added

#2 - 2018-06-13 11:34 AM - Martin Dobias

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #17416 (the same backtrace as mentioned there)
